Control APIAPI 레퍼런스Deployments
App을 이전 배포로 되돌립니다
베타 API
Control API의 /v1 계약은 변경될 수 있으며, 호환되지 않는 변경도 별칭 없이 배포될 수 있습니다.
POST
/v1/apps/{appId}/rollback지정한 deploymentId로 프로덕션 포인터를 되돌립니다. ntro rollback 명령에 대응합니다. 이메일 인증을 완료한 사용자만 사용할 수 있습니다.
인증
bearerAuth 인증Bearer <token>
Identity access JWT 또는 ntro_ API token을 사용합니다. token 관리 경로는 Identity access JWT만 허용합니다.
위치: header
경로 매개변수
appId*string
요청 본문
application/json
TypeScript 타입 정의
Use the request body type in TypeScript.
응답 본문
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/apps/string/rollback" \ -H "Content-Type: application/json" \ -d '{ "deploymentId": "string" }'{ "app": { "createdAt": "string", "hostname": "string", "id": "string", "latestDeployment": { "createdAt": "string", "id": "string", "shortId": "string", "status": "string", "target": "string" }, "productionDeploymentId": "string", "productionPreview": { "capturedAt": "string", "image": { "token": "string", "version": "string" }, "status": "string" }, "purgeGeneration": 0, "slug": "string", "suspendedAt": "string", "suspensionReason": "string", "team_id": "string" }}